Recent

Author Topic: compatibility between different versions of lamw  (Read 249 times)

xinyiman

  • Hero Member
  • *****
  • Posts: 2211
    • Lazarus and Free Pascal italian community
compatibility between different versions of lamw
« on: December 04, 2022, 11:23:18 pm »
Hi all, last year I started writing a program with LAMW that allows me to manage the warehouse, (LAMW installed on windows). Works well. But now after a year I reinstalled LAMW on linux (ubuntu). Both systems configured with LAMW Manager. If I create a new project on linux, no problem. But if I try to reopen my old program on the new linux machine, lazarus tells me "access violation". Is there a tool for converting programs to be compatible between different versions of lazarus?

Thank you
Win10, Ubuntu and Mac
Lazarus: 2.1.0
FPC: 3.3.1

Mongkey

  • Sr. Member
  • ****
  • Posts: 286
Re: compatibility between different versions of lamw
« Reply #1 on: February 06, 2023, 03:08:59 pm »
Just copy all your worked LAMW package, if you already comfort with all your did project, if you want install to another machine, just re copy your comfort LAMW into a new machine.  :), Never update your LAMW except ypu understand with what you are doing, usually it needs a bunch of coffee to migrate.

 

TinyPortal © 2005-2018